Package com.mckoi.database.global

## Interface SQLTypes

    public interface SQLTypes

A JDBC independant type definition list. This allows the specification of all JDBC 1.0 and 2.0 types without requiring the JDBC 2.0 'java.sql.Types' interface.

The values are compatible with the JDBC 1.0 and 2.0 spec.

Author:
  Tobias Downer

### Field Summary

Fields
`static int` `ARRAY`
`static int` `BIGINT`
`static int` `BINARY`
`static int` `BIT`
`static int` `BLOB`
`static int` `BOOLEAN`
`static int` `CHAR`
`static int` `CLOB`
`static int` `DATE`
`static int` `DECIMAL`
`static int` `DISTINCT`
`static int` `DOUBLE`
`static int` `FLOAT`
`static int` `INTEGER`
`static int` `JAVA_OBJECT`
`static int` `LONGVARBINARY`
`static int` `LONGVARCHAR`
`static int` `NULL`
`static int` `NUMERIC`
`static int` `OTHER`
`static int` `REAL`
`static int` `REF`
`static int` `SMALLINT`
`static int` `STRUCT`
`static int` `TIME`
`static int` `TIMESTAMP`
`static int` `TINYINT`
`static int` `VARBINARY`
`static int` `VARCHAR`

### Field Detail

#### BIT

    static final int BIT

See Also:
  Constant Field Values

#### TINYINT

    static final int TINYINT

See Also:
  Constant Field Values

#### SMALLINT

    static final int SMALLINT

See Also:
  Constant Field Values

#### INTEGER

    static final int INTEGER

See Also:
  Constant Field Values

#### BIGINT

    static final int BIGINT

See Also:
  Constant Field Values

#### FLOAT

    static final int FLOAT

See Also:
  Constant Field Values

#### REAL

    static final int REAL

See Also:
  Constant Field Values

#### DOUBLE

    static final int DOUBLE

See Also:
  Constant Field Values

#### NUMERIC

    static final int NUMERIC

See Also:
  Constant Field Values

#### DECIMAL

    static final int DECIMAL

See Also:
  Constant Field Values

#### CHAR

    static final int CHAR

See Also:
  Constant Field Values

#### VARCHAR

    static final int VARCHAR

See Also:
  Constant Field Values

#### LONGVARCHAR

    static final int LONGVARCHAR

See Also:
  Constant Field Values

#### DATE

    static final int DATE

See Also:
  Constant Field Values

#### TIME

    static final int TIME

See Also:
  Constant Field Values

#### TIMESTAMP

    static final int TIMESTAMP

See Also:
  Constant Field Values

#### BINARY

    static final int BINARY

See Also:
  Constant Field Values

#### VARBINARY

    static final int VARBINARY

See Also:
  Constant Field Values

#### LONGVARBINARY

    static final int LONGVARBINARY

See Also:
  Constant Field Values

#### NULL

    static final int NULL

See Also:
  Constant Field Values

#### OTHER

    static final int OTHER

See Also:
  Constant Field Values

#### JAVA_OBJECT

    static final int JAVA_OBJECT

See Also:
  Constant Field Values

#### DISTINCT

    static final int DISTINCT

See Also:
  Constant Field Values

#### STRUCT

    static final int STRUCT

See Also:
  Constant Field Values

#### ARRAY

    static final int ARRAY

See Also:
  Constant Field Values

#### BLOB

    static final int BLOB

See Also:
  Constant Field Values

#### CLOB

    static final int CLOB

See Also:
  Constant Field Values

#### REF

    static final int REF

See Also:
  Constant Field Values

#### BOOLEAN

    static final int BOOLEAN

See Also:
  Constant Field Values